import apis from '../utils/request';
const { GET, POST, PUT, DELETE } = apis

// 获取电表列表
export const getMeterList = async function() {
  return await GET('/wx/getMeterList');
}

// 获取表计详情
export const getMeterDetail = async function({ tenement, code }) {
  return await GET(`/wx/getMeterDetail/${tenement}/${code}`);
}

// 获取某一商户的电表列表
export const getTenementMeterList = async function(tid) {
  return await GET(`/wx/getMeterList/${tid}`);
}